# 项目概述分析启动器

在运行初始化脚本前，请先思考以下问题。这将帮助您快速、准确地完成交互式问答。

### 1. 项目简介
- 这个项目的核心目标是什么？一句话概括。
- 它的主要用户是谁？
- 它解决了什么关键问题？

### 2. 技术栈
- **后端**: 主要语言和框架是什么？(例如: Python/Flask, Node.js/Express)
- **前端**: 主要框架是什么？(例如: Vue 3, React)
- **数据库**: 计划使用哪种数据库？(例如: SQLite, PostgreSQL)
- **其他关键技术**: 有用到 Docker, Redis, Nginx 等吗？

### 3. 核心功能
- 列出 3-5 个最重要的核心功能点。
- 每个功能点用一句话描述其作用。

### 4. 项目架构
- 系统的主要组成部分有哪些？
- 它们之间是如何交互的？数据是如何流动的？
- 是否有外部依赖或服务？

### 5. 开发规范
- 团队遵循什么样的分支策略？(例如: GitFlow)
- 代码风格规范是什么？(例如: PEP8, Prettier)
- 包管理器是什么？(例如: uv, pnpm)

### 6. 快速启动
- 启动项目需要哪些前置依赖？(例如: Python 3.10+, Node.js)
- 后端和前端的启动命令分别是什么？