# Roocode 项目模板与规范

本项目旨在定义和实施在 Roocode 环境中进行项目开发的统一规范、流程和工具集。

## 项目概述初始化工具箱

为了确保每个新项目都以标准化的方式启动，我们创建了一个“项目概述初始化工具箱”。它能帮助开发者快速生成一份结构统一、信息完备的项目概述文档 (`rule-project.md`)。

### 工具箱构成

- **`.templates/`**: 存放所有文档的原始模板。
  - `analysis_prompts.md`: 在动手之前，指导用户进行结构化思考的“清单”。
  - `project_overview_template.md`: 包含标准占位符的项目概述模板。
- **`scripts/`**: 存放自动化脚本。
  - `init_docs.py`: 通过交互式问答，自动化生成最终文档的命令行工具。

### 如何使用

当您需要为一个新项目创建概述文档时，请遵循以下步骤：

1.  **（建议）思考准备**:
    打开并阅读 `.templates/analysis_prompts.md` 文件。根据其中的引导性问题，提前构思好项目的核心信息。

2.  **运行初始化脚本**:
    打开终端，并执行以下命令：
    ```bash
    python scripts/init_docs.py
    ```

3.  **交互式问答**:
    脚本启动后，会向您提出一系列问题（如项目名称、简介、技术栈等）。请根据您在第一步的准备，依次输入相关信息。对于需要多行输入的部分，请在内容输入完毕后，单独输入 `END` 并按回车键结束。

4.  **完成**:
    回答完所有问题后，脚本会自动在项目根目录生成一份名为 `rule-project.md` 的文件。请检查文件内容，并根据需要进行微调。

通过以上步骤，您可以在几分钟内完成一份高质量的项目概述文档，从而为后续的开发工作奠定坚实的基础。